/**
 * MOTECH PLATFORM OPENSOURCE LICENSE AGREEMENT
 *
 * Copyright (c) 2010-11 The Trustees of Columbia University in the City of
 * New York and Grameen Foundation USA.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. Neither the name of Grameen Foundation USA, Columbia University, or
 * their respective contributors may be used to endorse or promote products
 * derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY GRAMEEN FOUNDATION USA, COLUMBIA UNIVERSITY
 * AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL GRAMEEN FOUNDATION
 * USA, COLUMBIA UNIVERSITY OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.motechproject.server.model;

import org.motechproject.server.time.TimePeriod;

import java.util.Map;

public class ExpectedCareMessageDetails {

    private Long id;
    private String name;
    private String upcomingMessageKey;
    private String overdueMessageKey;
    private Integer timeValue;
    private TimePeriod timePeriod;
    private Boolean userPreferenceBased = false;
    private Map<String, Integer> careTimeMap;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUpcomingMessageKey() {
        return upcomingMessageKey;
    }

    public void setUpcomingMessageKey(String upcomingMessageKey) {
        this.upcomingMessageKey = upcomingMessageKey;
    }

    public String getOverdueMessageKey() {
        return overdueMessageKey;
    }

    public void setOverdueMessageKey(String overdueMessageKey) {
        this.overdueMessageKey = overdueMessageKey;
    }

    public Integer getTimeValue() {
        return timeValue;
    }

    public Long getId() {
        return id;
    }

    public void setTimeValue(Integer timeValue) {
        this.timeValue = timeValue;
    }

    public TimePeriod getTimePeriod() {
        return timePeriod;
    }

    public void setTimePeriod(TimePeriod timePeriod) {
        this.timePeriod = timePeriod;
    }

    public Boolean getUserPreferenceBased() {
        return userPreferenceBased;
    }

    public void setUserPreferenceBased(Boolean userPreferenceBased) {
        this.userPreferenceBased = userPreferenceBased;
    }

    public Map<String, Integer> getCareTimeMap() {
        return careTimeMap;
    }

    public void setCareTimeMap(Map<String, Integer> careTimeMap) {
        this.careTimeMap = careTimeMap;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getTimeValue(String care) {
        if (careTimeMap != null && careTimeMap.containsKey(care)) {
            return careTimeMap.get(care);
        }
        return timeValue;
    }
}
