package org.motechproject.server.service;

import org.openmrs.Concept;
import org.openmrs.api.ConceptService;

public enum ConceptEnum {

    CONCEPT_IMMUNIZATIONS_ORDERED("IMMUNIZATIONS ORDERED"),
    CONCEPT_TETANUS_TOXOID_DOSE("TETANUS TOXOID DOSE"),
    CONCEPT_INTERMITTENT_PREVENTATIVE_TREATMENT_DOSE("INTERMITTENT PREVENTATIVE TREATMENT DOSE"),
    CONCEPT_HIV_TEST_RESULT("HIV TEST RESULT"),
    CONCEPT_TERMINATION_TYPE("TERMINATION TYPE"),
    CONCEPT_TERMINATION_COMPLICATION("TERMINATION COMPLICATION"),
    CONCEPT_VITAMIN_A("VITAMIN A"),
    CONCEPT_INSECTICIDE_TREATED_NET_USAGE("INSECTICIDE TREATED NET USAGE"),
    CONCEPT_VISIT_NUMBER("VISIT NUMBER"),
    CONCEPT_PREGNANCY("PREGNANCY"),
    CONCEPT_PREGNANCY_STATUS("PREGNANCY STATUS"),
    CONCEPT_ESTIMATED_DATE_OF_CONFINEMENT("ESTIMATED DATE OF CONFINEMENT"),
    CONCEPT_PARITY("PARITY"),
    CONCEPT_GRAVIDA("GRAVIDA"),
    CONCEPT_DATE_OF_CONFINEMENT_CONFIRMED("DATE OF CONFINEMENT CONFIRMED"),
    CONCEPT_ENROLLMENT_REFERENCE_DATE("MESSAGE PROGRAM ENROLLMENT REFERENCE DATE"),
    CONCEPT_BCG_VACCINATION("BACILLE CAMILE-GUERIN VACCINATION"),
    CONCEPT_ORAL_POLIO_VACCINATION_DOSE("ORAL POLIO VACCINATION DOSE"),
    CONCEPT_PENTA_VACCINATION_DOSE("PENTA VACCINATION DOSE"),
    CONCEPT_YELLOW_FEVER_VACCINATION("YELLOW FEVER VACCINATION"),
    CONCEPT_CEREBRO_SPINAL_MENINGITIS_VACCINATION("CEREBRO-SPINAL MENINGITIS VACCINATION"),
    CONCEPT_MEASLES_VACCINATION("MEASLES VACCINATION"),
    CONCEPT_INTERMITTENT_PREVENTATIVE_TREATMENT_INFANTS_DOSE("INTERMITTENT PREVENTATIVE TREATMENT INFANTS DOSE"),
    CONCEPT_SERIAL_NUMBER("SERIAL NUMBER"),
    CONCEPT_NEW_CASE("NEW CASE"),
    PATIENT_NEW_CASE("NEW PATIENT"),
    CONCEPT_REFERRED("REFERRED"),
    CONCEPT_PRIMARY_DIAGNOSIS("PRIMARY DIAGNOSIS "),
    CONCEPT_SECONDARY_DIAGNOSIS("SECONDARY DIAGNOSIS"),
    CONCEPT_DELIVERY_MODE("DELIVERY MODE"),
    CONCEPT_DELIVERY_LOCATION("DELIVERY LOCATION"),
    CONCEPT_DELIVERED_BY("DELIVERED BY"),
    CONCEPT_DELIVERY_OUTCOME("DELIVERY OUTCOME"),
    CONCEPT_BIRTH_OUTCOME("BIRTH OUTCOME"),
    CONCEPT_MALARIA_RAPID_TEST("MALARIA RAPID TEST"),
    CONCEPT_VDRL_TREATMENT("VDRL TREATMENT"),
    CONCEPT_URINE_PROTEIN_TEST("URINE PROTEIN TEST"),
    CONCEPT_URINE_GLUCOSE_TEST("URINE GLUCOSE TEST"),
    CONCEPT_FETAL_HEART_RATE("FETAL HEART RATE"),
    CONCEPT_FUNDAL_HEIGHT("FUNDAL HEIGHT"),
    CONCEPT_VVF_REPAIR("VVF REPAIR"),
    CONCEPT_DEWORMER("DEWORMER"),
    CONCEPT_PMTCT("PMTCT"),
    CONCEPT_PMTCT_TREATMENT("PMTCT TREATMENT"),
    CONCEPT_ACT_TREATMENT("ACT TREATMENT"),
    CONCEPT_HIV_PRE_TEST_COUNSELING("HIV PRE-TEST COUNSELING"),
    CONCEPT_HIV_POST_TEST_COUNSELING("HIV POST-TEST COUNSELING"),
    CONCEPT_DELIVERY_COMPLICATION("DELIVERY COMPLICATION"),
    CONCEPT_POST_ABORTION_FP_COUNSELING("POST-ABORTION FP COUNSELING"),
    CONCEPT_POST_ABORTION_FP_ACCEPTED("POST-ABORTION FP ACCEPTED"),
    CONCEPT_IPT_REACTION("IPT REACTION"),
    CONCEPT_LOCHIA_COLOUR("LOCHIA COLOUR"),
    CONCEPT_LOCHIA_EXCESS_AMOUNT("LOCHIA EXCESS AMOUNT"),
    CONCEPT_LOCHIA_FOUL_ODOUR("LOCHIA FOUL ODOUR"),
    CONCEPT_MIDDLE_UPPER_ARM_CIRCUMFERENCE("MIDDLE UPPER ARM CIRCUMFERENCE"),
    CONCEPT_MATERNAL_DEATH("MATERNAL DEATH"),
    CONCEPT_TERMINATION_PROCEDURE("PREGNANCY, TERMINATION PROCEDURE"),
    CONCEPT_CORD_CONDITION("CORD CONDITION "),
    CONCEPT_CONDITION_OF_BABY("CONDITION OF BABY"),
    CONCEPT_NEXT_ANC_DATE("NEXT ANC DATE"),
    CONCEPT_MALE_INVOLVEMENT("MALE INVOLVEMENT"),
    CONCEPT_COMMUNITY("COMMUNITY"),
    CONCEPT_HOUSE("HOUSE"),
    CONCEPT_ANC_PNC_LOCATION("ANC PNC LOCATION"),
    CONCEPT_CWC_LOCATION("CWC LOCATION"),
    CONCEPT_COMMENTS("COMMENTS"),
    CONCEPT_VDRL("VDRL"),
    CONCEPT_RESPIRATORY_RATE("RESPIRATORY RATE"),
    CONCEPT_DIASTOLIC_BLOOD_PRESSURE("DIASTOLIC BLOOD PRESSURE"),
    CONCEPT_SYSTOLIC_BLOOD_PRESSURE("SYSTOLIC BLOOD PRESSURE"),
    CONCEPT_HEMOGLOBIN("HEMOGLOBIN"),
    CONCEPT_WEIGHT("WEIGHT (KG)"),
    CONCEPT_HEIGHT("HEIGHT (CM)"),
    CONCEPT_TEMPERATURE("TEMPERATURE (C)"),
    CONCEPT_REACTIVE("REACTIVE"),
    CONCEPT_NON_REACTIVE("NON-REACTIVE"),
    CONCEPT_POSITIVE("POSITIVE"),
    CONCEPT_NEGATIVE("NEGATIVE"),
    CONCEPT_TRACE("TRACE"),
    CONCEPT_ANC_REG_NUMBER("ANC REGISTRATION NUMBER"),
    CONCEPT_CWC_REG_NUMBER("CWC REGISTRATION NUMBER"),
    CONCEPT_INSURED("INSURED"),
    CONCEPT_WHY_NO_HISTORY("WHY NO HISTORY");
    
    private String conceptName;

    ConceptEnum(String conceptName) {
        this.conceptName = conceptName;
    }

    public String conceptName(){
        return conceptName;
    }

    public Concept getConcept(ConceptService conceptService){
        return conceptService.getConcept(conceptName);
    }

}
